LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDrawPages Interface Referencepublished

gives access to a container of DrawPages or MasterPages. More...

`import"XDrawPages.idl";`

Inheritance diagram for XDrawPages:

## Public Member Functions
com::sun::star::drawing::XDrawPage | insertNewByIndex ([in] long nIndex)
| creates and inserts a new DrawPage or MasterPage into this container More...
void | remove ([in] com::sun::star::drawing::XDrawPage xPage)
| removes a DrawPage or MasterPage from this container. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to a container of DrawPages or MasterPages.

The pages are stored in an index container. The order is determined by the index.

You usually get this interface if you use the XDrawPagesSupplier or the XMasterPagesSupplier at a model that contains DrawPages or MasterPages

Developers Guide
  Drawings and Presentations - Working with Drawing Documents - Page Handling

## Member Function Documentation

## ◆ insertNewByIndex()

com::sun::star::drawing::XDrawPage insertNewByIndex | ( | [in] long | nIndex | ) |

creates and inserts a new DrawPage or MasterPage into this container

Parameters

  nIndex | the index at which the newly created DrawPage or MasterPage will be inserted.

Returns
  the newly created and already inserted DrawPage or MasterPage.

## ◆ remove()

void remove | ( | [in] com::sun::star::drawing::XDrawPage | xPage | ) |

removes a DrawPage or MasterPage from this container.

Parameters

  xPage | this DrawPage or MasterPage must be contained and will be removed from this container. It will also be disposed and shouldn't be used any further.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawPages.idl